<?php

  $florist_elementor_color_palette_css = '';

	// Global Color

	$florist_elementor_first_color = florist_elementor_get_option('florist_elementor_first_color');
	$florist_elementor_second_color = florist_elementor_get_option('florist_elementor_second_color');

	if($florist_elementor_first_color != false){
		$florist_elementor_color_palette_css .=':root {';
			$florist_elementor_color_palette_css .='--primary-theme-color: '.esc_attr($florist_elementor_first_color).'!important;';
			$florist_elementor_color_palette_css .='--secondary-theme-color: '.esc_attr($florist_elementor_second_color).'!important;';
		$florist_elementor_color_palette_css .='}';
	}

	// Copyright Background Color
	$florist_elementor_copyright_background_color = florist_elementor_get_option('florist_elementor_copyright_background_color');
	$florist_elementor_color_palette_css .='#colophon {';
	$florist_elementor_color_palette_css .='background: '.esc_attr($florist_elementor_copyright_background_color);
	$florist_elementor_color_palette_css .='}';

	// Copyright Text Color
	$florist_elementor_copyright_text_color = florist_elementor_get_option('florist_elementor_copyright_text_color');
	$florist_elementor_color_palette_css .='#colophon a , #colophon{';
	$florist_elementor_color_palette_css .='color: '.esc_attr($florist_elementor_copyright_text_color);
	$florist_elementor_color_palette_css .='}';


	// Site title And tagline Option
	$florist_elementor_site_title_font_size = florist_elementor_get_option('florist_elementor_site_title_font_size');
	$florist_elementor_site_title_color = florist_elementor_get_option('florist_elementor_site_title_color');
		$florist_elementor_color_palette_css .='.site-title>a , .site-title {';
			$florist_elementor_color_palette_css .='font-size: '.esc_attr($florist_elementor_site_title_font_size).'px;';
			$florist_elementor_color_palette_css .='color: '.esc_attr($florist_elementor_site_title_color).';';
		$florist_elementor_color_palette_css .='}';
	
	$florist_elementor_site_tagline_font_size = florist_elementor_get_option('florist_elementor_site_tagline_font_size');
	if($florist_elementor_site_tagline_font_size != false){
		$florist_elementor_color_palette_css .='.site-description {';
			$florist_elementor_color_palette_css .='font-size: '.esc_attr($florist_elementor_site_tagline_font_size).'px;';
		$florist_elementor_color_palette_css .='}';
	}
	//First Cap
	$florist_elementor_show_first_caps = florist_elementor_get_option('florist_elementor_show_first_caps', false);
	if($florist_elementor_show_first_caps == 'true' ){
	$florist_elementor_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter{';
	$florist_elementor_color_palette_css .=' font-size: 50px; font-weight: 600;';
	$florist_elementor_color_palette_css .=' margin-right: 5px;';
	$florist_elementor_color_palette_css .=' line-height: 1;';
	$florist_elementor_color_palette_css .='}';
	}elseif($florist_elementor_show_first_caps == 'false' ){
	$florist_elementor_color_palette_css .='.blog-content .text-content p:nth-of-type(1)::first-letter {';
	$florist_elementor_color_palette_css .='display: none;';
	$florist_elementor_color_palette_css .='}';
	}

	// preloader background image
	$florist_elementor_show_preloader_background_image = florist_elementor_get_option('florist_elementor_show_preloader_background_image');
	if($florist_elementor_show_preloader_background_image != false){
		$florist_elementor_color_palette_css .='#preloader {';
			$florist_elementor_color_palette_css .='background: url('.esc_attr($florist_elementor_show_preloader_background_image).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$florist_elementor_color_palette_css .='}';
	}